import React from 'react';
import './index.less';
export interface CommunityDiscoveryProps {
    style?: React.CSSProperties;
    controlledValues?: {
        algorithm: string;
        seedNodeId: string | null;
    };
    onOpen?: () => void;
    nodeSelectionMode: string[];
    nodeLabel: string;
}
export declare enum NodesSimilarityAlgorithm {
    nodesConsineSimilarity = "nodes-cosine-similarity"
}
declare const CommunityDiscovery: React.FC<CommunityDiscoveryProps>;
export default CommunityDiscovery;
